[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TBufStream.Open

Open the file if it is closed.

## Declaration

Source position: objects.pp line 358

`procedure TBufStream.Open(`
`OpenMode: Word`
`); virtual;`

## Description

If the stream's status is stOK, and the stream is closed then Open re-opens the file stream with mode OpenMode. This call can be used after a Close call.

For an example, see TDosStream.Open.

## Errors

If an error occurs when re-opening the file, then Status is set to stOpenError, and the OS error code is stored in ErrorInfo

## See also

TStream.Open |  | Open the stream
TBufStream.Close |  | Flush data and Close the file.